Bug 902671 - in restricted period banner on webUI says satellite will be inactive in 5 days but email says 4 days
in restricted period banner on webUI says satellite will be inactive in 5 day...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
550
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Lestach
Martin Minar
:
Depends On:
Blocks: sat560-lowbug
  Show dependency treegraph
 
Reported: 2013-01-22 03:27 EST by Jan Hutař
Modified: 2016-07-03 20:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 17:55:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2013-01-22 03:27:49 EST
Description of problem:
When you have satellite with expired certificate (satellite is in a grace period) banner on WebUI informs you your satellite will become inactive in 5 days but email about this says it will take 4 days.


Version-Release number of selected component (if applicable):
spacewalk-java-1.7.54-109.el5sat
spacewalk-backend-1.7.38-41.el5sat


How reproducible:
always


Steps to Reproduce:
1. Mine certificate expires "2021-12-31 00:00:00", so jump 2 days after that:
   # rhn-satellite stop
   # date -s 2022-01-02
   # rhn-satellite start
   # bash /etc/cron.daily/rhn-ssl-cert-check
   On webUI I have configured Taskomatic bunch "satcert-check-bunch" to run
     every minute
2. Compare information from banner on webUI login page and email you
   will receive


Actual results:
Banner says:
Your satellite certificate has expired. Please contact Red Hat for a new certificate. Your satellite will become inactive in 5 day(s).

Email says:
[...] After 4 day(s) the systems management services provided by your RHN Satellite Server will become inaccessible. [...]


Expected results:
Days count should be consistent
Comment 1 Tomas Lestach 2013-01-23 10:40:40 EST
unify restricted period length information at WebUI banner and notification e-mail ...

spacewalk.git: c948493d04b5a9566973b30c05085b8bbbd50740
Comment 4 Clifford Perry 2013-10-01 17:55:33 EDT
Satellite 5.6 has been released. This bug was tracked under the release.  

This bug was either VERIFIED or RELEASE_PENDING (re-verified prior shortly
before release). 

Moving to CLOSED CURRENT_RELEASE. 

Text from Upgrade Erratum follows:

Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1395.html

Note You need to log in before you can comment on or make changes to this bug.